{% extends 'base.html' %}
{% load static %}

{% block title %}Cazare{% endblock %}

{% block body %}
    <div id="centerDoc" class="container-xl">
        <h3>Aceasta este Casa cu Brazi!</h3>
        <h3>Camere Duble</h3>
        <div class="row">
            {% for room_with_images in rooms_with_images %}
                <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12">
                    <div class="card-body">
                        <h5 class="card-title">{{ room_with_images.room.name }}</h5>
                        <img src="{{ room_with_images.images.0.image.url }}" class="card-img-top"
                             alt="{{ room_with_images.room.name }}">
                        <p class="card-text">{{ room_with_images.room.price }} lei/camera/noapte</p>
{#                        <a href="{% url 'reservation_create' room_with_images.room.id %}" class="btn btn-primary m-1">Rezerva</a>#}
                        <a href="{% url 'room_details' room_with_images.room.id %}" class="btn btn-primary m-2"
{#                        <a href="{{ room_with_images.room.get_absolute_url }}" class="btn btn-primary m-2"#}
                           role="button">Detalii</a>
                    </div>
                </div>
            {% endfor %}

        </div>
        <h3>Apartamente</h3>
        <div class="row">
            {% for apartment_with_images in apartments_with_images %}
                <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12">
                    <div class="card-body">
                        <h5 class="card-title">{{ apartment_with_images.room.name }}</h5>
                        <img src="{{ apartment_with_images.images.0.image.url }}" class="card-img-top"
                             alt="{{ apartment_with_images.room.name }}">
                        <p class="card-text">{{ apartment_with_images.room.price }} lei/camera/noapte</p>
{#                        <a href="{% url 'reservation_create' apartment_with_images.room.id %}" class="btn btn-primary m-1">Rezerva</a>#}
                        <a href="{% url 'room_details' apartment_with_images.room.id %}" class="btn btn-primary m-2"
                           role="button">Detalii</a>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}